Bug 432817 - Review Request: greyhounds - Greyhounds is a greyhounds racing and breeding game
Summary: Review Request: greyhounds - Greyhounds is a greyhounds racing and breeding game
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-14 16:20 UTC by Krzysztof Kurzawski
Modified: 2008-03-15 16:35 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-03-15 16:35:15 UTC
kevin: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Krzysztof Kurzawski 2008-02-14 16:20:42 UTC
Spec URL: http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds-0.8-0.1.prealpha.fc8.src.rpm
Description: Greyhounds is a greyhound racing and breeding game. Your goal is to
acquire fast and talented greyhounds and be successful with them in the
races; your two possibilities for doing so are breeding and trading.
Ultimately you should aim at winning the Champions' Trophy. You might
also consider establishing a record that lasts to the end of times a
worthy goal.

Comment 1 Kevin Fenzi 2008-02-14 18:22:09 UTC
As the owner of 4 greyhounds, I would be happy to review this package... ;) 

Look for a full review later tonight. 

Comment 2 Kevin Fenzi 2008-02-16 00:03:39 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
See below - Meets Packaging Guidelines.
See below - License
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
57dd2731e05de80b04077e5e2396b1a8  greyhounds-0.8-pre-alpha.tar.bz2
57dd2731e05de80b04077e5e2396b1a8  greyhounds-0.8-pre-alpha.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Not that it matters much, but upstream uses 'pre-alpha' instead of 'prealpha'

2. Can you ask upstream to clarify the license?
The README file has "The game is GPL-licensed."
None of the source files contain any licensing information.
That would seem to imply "GPL+" (ie, any version of the GPL).

3. Oddly, the Source0 url should probibly be:
http://downloads.sourceforge.net/byghound/%{name}-%{version}-pre-alpha.tar.bz2


Comment 3 Krzysztof Kurzawski 2008-02-16 07:58:34 UTC
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds.spec
SRPM URL:
http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds-0.8-0.2.prealpha.fc8.src.rpm

If I set release "0.1.pre-alpha%{?dist}" rpmbuild warns:
error: line 3: Illegal char '-' in release: Release:        0.1.pre-alpha.fc8 so
what should I do?

Comment 4 Krzysztof Kurzawski 2008-02-16 13:18:14 UTC
Upstream said that license is GPLv2.

Spec URL: http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds.spec
SRPM URL:
http://kurzawa.nonlogic.org/rpm/greyhounds/greyhounds-0.8-0.3.prealpha.fc8.src.rpm

Comment 5 Kevin Fenzi 2008-02-17 03:05:41 UTC
The package from comment #4 looks all good to me... 

This package is APPROVED. 

Just out of curiosity, is upstream planning further development? 
The upstream source seems to have last been updated in 2003. ;( 


Comment 6 Krzysztof Kurzawski 2008-02-17 10:29:25 UTC
New Package CVS Request
=======================
Package Name: greyhounds
Short Description: Greyhounds is a greyhounds racing and breeding game
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes

Comment 7 Krzysztof Kurzawski 2008-02-17 10:29:49 UTC
Thanks for review!

Comment 8 Kevin Fenzi 2008-02-17 17:29:53 UTC
cvs done.

Comment 9 Kevin Fenzi 2008-03-15 16:35:15 UTC
This package has been built and imported from what I can see... 
closing this review now. 


Note You need to log in before you can comment on or make changes to this bug.